import React from "react";
import PropTypes from "prop-types";
import { TextField, Button } from "@material-ui/core";
import MachinesList from "./MachinesList";
import { makeStyles } from "@material-ui/core/styles";
import styles from "../styles";

const useStyles = makeStyles(styles);

const NetworkComponent = ({ network, onPropertyChange, onReadMachines }) => {
  const classes = useStyles();

  return (
    <div className={classes.root}>
      <div>NetworkContainer</div>
      <MachinesList />
      <TextField
        id="ertet"
        label="Test"
        onChange={onPropertyChange("test")}
        value={network.test}
      />
      <Button variant="contained" color="primary" onClick={onReadMachines}>
        Read machines
      </Button>
    </div>
  );
};

NetworkComponent.propTypes = {
  network: PropTypes.object.isRequired,
  onPropertyChange: PropTypes.func.isRequired
};

export default NetworkComponent;
