import React, { useContext } from "react";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";
import { readMachines } from "../api";
import NetworkComponent from "./NetworkComponent";

const NetworkContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  const handleReadMachines = async () => {
    const machines = await readMachines();
    dispatchActions.onNetworkChange("machines", machines);
  };

  return (
    <NetworkComponent
      network={state.network}
      onPropertyChange={handleChange}
      onReadMachines={handleReadMachines}
    />
  );
};

export default NetworkContainer;
